[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Make Octave behave more like Matlab

From: Matthias Brennwald
Subject: Re: Make Octave behave more like Matlab
Date: Mon, 19 Feb 2007 08:20:56 +0100

On 17.02.2007, at 19:08, address@hidden wrote:

Octave 2.9.9:

  octave2.9:1> warning error Octave:matlab-incompatible
  octave2.9:2> StudlyCapsConsideredHardToRead = "Hello";
error: potential Matlab compatibility problem: " used as string delimiter



On 18.02.2007, at 20:30, John W. Eaton wrote:

Also, in 2.1.x, this warning is controlled by a built-in variable
called warn_matlab_incompatible.

Ok, that's exactly what I need. I have both Octave 2.1 and 2.9 on my machine, so I tried putting the following into my .octaverc file:

vers = OCTAVE_VERSION; vers = vers(1:3);
switch vers
    case '2.1'
    case '2.9'
        warning error Octave:matlab-incompatible;
warning('.OCTAVERC: don''t know how to turn on warnings for Matlab incompatibility.')

This works ok with Octave 2.9, but I get an error with 2.1:

parse error near line 12 of file /Users/mbrennwa/.octaverc

  syntax error

>>>         warning error Octave:matlab-incompatible;

What can I do about this?


Matthias Brennwald
L├Ągernstrasse 6
CH 8037 Z├╝rich
+41 (0)44 364 17 03

reply via email to

[Prev in Thread] Current Thread [Next in Thread]